is_training: true
use_jit: false
temperature: 1.0
batch_size: 2
seed: 1238123
min_loss_scale: 0.0001
threshold_loss_scale: null
user_dir: null
empty_cache_freq: 0
all_gather_list_size: 16384
model_parallel_size: 1
checkpoint_suffix: ''
quantization_config_path: null
profile: false
criterion: inverse_folding_loss
tokenizer: null
bpe: null
optimizer: adam
lr_scheduler: inverse_sqrt
scoring: bleu
task: inverse_folding
num_workers: 8
skip_invalid_size_inputs_valid_test: false
max_tokens: 4096
max_sentences: null
required_batch_size_multiple: 8
dataset_impl: null
data_buffer_size: 10
validate_interval: 1
validate_interval_updates: 0
validate_after_updates: 0
fixed_validation_seed: null
disable_validation: false
max_tokens_valid: 4096
max_sentences_valid: null
distributed_no_spawn: false
slowmo_momentum: null
slowmo_algorithm: LocalSGD
localsgd_frequency: 3
nprocs_per_node: 8
zero_sharding: none
arch: vt_medium_with_invariant_gvp
max_epoch: 200
max_update: 0
stop_time_hours: 0
clip_norm: 0
sentence_avg: false
update_freq: -1
lr: -0.001
min_lr: 1.e-9
finetune_from_model: null
reset_dataloader: false
reset_lr_scheduler: false
reset_meters: false
reset_optimizer: false
optimizer_overrides: '{}'
save_interval: 1
save_interval_updates: 0
keep_interval_updates: -1
keep_last_epochs: 5
keep_best_checkpoints: -1
no_save: false
no_epoch_checkpoints: false
no_last_checkpoints: false
no_save_optimizer_state: false
best_checkpoint_metric: loss
maximize_best_checkpoint_metric: false
patience: -1
no_mid_epoch_validate: false
no_token_positional_embeddings: false
no_cross_attention: false
cross_self_attention: false
encoder_layerdrop: 0
decoder_layerdrop: 0
encoder_layers_to_keep: null
decoder_layers_to_keep: null
quant_noise_pq: 0
quant_noise_pq_block_size: 8
quant_noise_scalar: 0
joint_generation: false
et_gvp_as_feedforward: false
rescale_opt: token
use_inf_norm: false
adam_betas: '[0.9,0.999]'
adam_eps: 1.e-8
weight_decay: 0
use_old_adam: false
warmup_updates: 5000
warmup_init_lr: 1.e-7
include_angle: true
from_3d: true
in_memory_dataset: false
include_torsion: true
prepend_token: true
max_positions: 1024
train_sample_ratios: '1,0.135'
valid_sample_ratios: '1,1,1,0.135'
subsample_train: '1,1.000'
train_crop_size: -1
min_num_source_residues: 0
partial_seq_masking: false
predict_next_only: false
test_time_coord_masking: false
source_coord_mask_prob: 0.15
source_coord_span_masking_span_upper: 30
source_coord_span_masking_span_lower: 1
source_coord_span_masking_geometric_p: 0.05
train_input_noises: '0,0.1'
random_rotation: true
source_confidence_threshold: 0.9
target_confidence_threshold: 0
n_cond_score_buckets: 22
gvp_conditioning_encoder: true
gvp_conditioning_score_num_rbf: 16
gvp_node_input_dim_scalar: 7
gvp_node_input_dim_vector: 3
gvp_edge_input_dim_scalar: 34
gvp_edge_input_dim_vector: 1
gvp_vector_gate: true
gvp_attention_heads: 0
gvp_n_message_gvps: 3
gvp_n_edge_gvps_first_layer: 0
gvp_n_edge_gvps: 0
gvp_eps: 0.0001
gvp_layernorm: true
gvp_no_edge_orientation: false
gvp_conv_no_scalar_activation: false
gvp_conv_no_vector_activation: false
gvp_ignore_edges_without_coords: true
no_seed_provided: false
gvp_node_hidden_dim_scalar: 1024
gvp_node_hidden_dim_vector: 256
gvp_num_encoder_layers: 4
gvp_dropout: 0.1
gvp_top_k_neighbors: 30
gvp_edge_hidden_dim_scalar: 32
gvp_edge_hidden_dim_vector: 1
embed_gvp_in_global_frame: false
embed_gvp_in_local_frame: true
embed_ingraham_features: true
embed_rotation_frames: false
embed_rotation_quaternions: false
embed_features_in_global_frame: false
embed_features_in_local_frame: true
embed_scores: true
encoder_embed_dim: 512
encoder_ffn_embed_dim: 2048
encoder_attention_heads: 8
encoder_layers: 8
decoder_embed_dim: 512
decoder_ffn_embed_dim: 2048
decoder_attention_heads: 8
decoder_layers: 8
attention_dropout: 0.1
encoder_normalize_before: true
decoder_normalize_before: true
pretrained_gvp_stem: null
frozen_gvp_stem: false
pretrained_decoder: null
frozen_decoder: false
encoder_edge_attn_layers: 0
edge_attn_distance_cutoff: -1
edge_embed_dim: 0
embed_edge_vectors: false
distance_noise: 0
gvp_distance_noise: 0
equivariant_attn_layers: 0
embed_patch_layers: 0
encoder_embed_path: null
encoder_learned_pos: false
decoder_embed_path: null
decoder_learned_pos: false
activation_dropout: 0
activation_fn: relu
dropout: 0.1
adaptive_softmax_cutoff: null
adaptive_softmax_dropout: 0
share_decoder_input_output_embed: false
share_all_embeddings: false
adaptive_input: false
decoder_output_dim: 512
decoder_input_dim: 512
no_scale_embedding: false
layernorm_embedding: false
tie_adaptive_weights: false
max_source_positions: 1024
max_target_positions: 1024